{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
{known_script id="jquery.ui.slider" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.slider.packed.js"}


{literal}
<style>
 .ui-slider {
    width:600px;
    height:10px;
    border-width:1px;
    border-style:solid;
    margin-right:5px;
    padding-right:14px;
  }
 .ui-slider-handle {
    width:12px;
    height:12px;
    position:relative;
    top:-2px;
    border-width:1px;
    border-style:solid;
    display:block;
  }
</style>
<script type="text/javascript">

  function displayConfig(tabsheet)
  {
    switch(tabsheet)
    {
      case 'database':
        $('#iDisplayConfigDatabase').css('display', 'block');
        $('#iDisplayConfigStatSearch').css('display', 'none');
        $('#iDisplayConfigDisplay').css('display', 'none');
        break;
      case 'statsearch':
        $('#iDisplayConfigDatabase').css('display', 'none');
        $('#iDisplayConfigStatSearch').css('display', 'block');
        $('#iDisplayConfigDisplay').css('display', 'none');
        break;
      case 'display':
        $('#iDisplayConfigDatabase').css('display', 'none');
        $('#iDisplayConfigStatSearch').css('display', 'none');
        $('#iDisplayConfigDisplay').css('display', 'block');
        break;
    }

  }

  function init()
  {
    formatPct({/literal}{$datas.minPct}{literal});
    $("#icstat_stat_minPct_slider").slider(
      {
        min:0.5,
        max:60,
        step:0.25,
        value:{/literal}{$datas.minPct}{literal},
        slide: function(event, ui) { formatPct(ui.value); }
      });
    $("#icstat_stat_minPct_slider a").addClass('gcBgInput');
    displayConfig('database');
  }

  function formatPct(pct)
  {
    $("#icstat_stat_minPct").val(pct);
    $("#icstat_stat_minPct_display").html(pct.toFixed(2)+"%");
  }
</script>
{/literal}

{$configTabsheet}

<h2>{'cstat_config_plugin'|@translate}</h2>

<form id="iConfig" method="post" action="" class="general">

  <div id='iDisplayConfigDatabase' style='display:none;'>

  </div>

  <div id='iDisplayConfigStatSearch'  style='display:none;'>
    <fieldset>
      <legend>{'cstat_stat_and_search'|@translate}</legend>

      <table class="formtable">
        <tr>
          <td colspan="2">{'cstat_percent_min_significant'|@translate}</td>
        </tr>
        <tr>
          <td>
            <input type="hidden" name="f_stat_minPct" id="icstat_stat_minPct" value="{$datas.minPct}">
            <div id="icstat_stat_minPct_slider" class="gcBgInput gcBorderInput"></div>
          </td>
          <td width="90px">
            <div id="icstat_stat_minPct_display"></div>
          </td>
        </tr>
      </table>
    </fieldset>
  </div>

  <div id='iDisplayConfigDisplay'  style='display:none;'>
    <fieldset>
      <legend>{'cstat_gallery_integration'|@translate}</legend>

      <label>
        <input type="checkbox" id='idisplay_gallery_showColorsCBox' onclick="$('#idisplay_gallery_showColors').val(($('#idisplay_gallery_showColorsCBox').get(0).checked=='on')?'y':'n');"  {if $datas.showColors=='y'}checked{/if} >
        {'cstat_display_colors_on_image'|@translate}
        <input type="hidden" id='idisplay_gallery_showColors' name='f_display_gallery_showColors' value='{$datas.showColors}'>
      </label>

    </fieldset>
  </div>

  <input type="submit" value="{'cstat_apply'|@translate}" name="submit_save_config" style="margin-left:1em;" >

</form>


<script type="text/javascript">
  init();
</script>
